<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="f34f089b-6bec-4c40-b3c7-a751e2892011" name="Default Changelist" comment="SSM整合">
      <change afterPath="$PROJECT_DIR$/controller/src/main/java/com/bjsxt/controller/PageController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/controller/src/main/java/com/bjsxt/controller/UsersController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/controller/src/main/webapp/WEB-INF/jsp/addUsers.jsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/controller/src/main/webapp/WEB-INF/jsp/index.jsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/controller/src/main/webapp/WEB-INF/jsp/ok.jsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/pojo/src/main/java/com/bjsxt/pojo/Users.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/pojo/src/main/java/com/bjsxt/pojo/UsersExample.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/controller/controller.iml" beforeDir="false" afterPath="$PROJECT_DIR$/controller/controller.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/controller/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/controller/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/controller/src/main/webapp/WEB-INF/web.xml" beforeDir="false" afterPath="$PROJECT_DIR$/controller/src/main/webapp/WEB-INF/web.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/controller/src/main/webapp/WEB-INF/web1.xml.tld" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mapper/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/mapper/pom.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Tag Library Descriptor" />
        <option value="Class" />
        <option value="Jsp File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="D:\software\maven-3.6.3\conf\repository" />
        <option name="mavenHome" value="$PROJECT_DIR$/../../../software/maven-3.6.3" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="vmOptionsForImporter" value="-Xmx1024m" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectId" id="1v9Dgw0E8Iy0TDJVIPOh8IkHHQe" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="autoscrollFromSource" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/pojo/src/main/java/com/bjsxt/pojo" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="reference.settings.project.maven.importing" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.bjsxt" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\JAVA_Code\first_git_repos\parent\pojo\src\main\java\com\bjsxt\pojo" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\JAVA_Code\first_git_repos\parent\controller\src\main\webapp\WEB-INF\jsp" />
    </key>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f34f089b-6bec-4c40-b3c7-a751e2892011" name="Default Changelist" comment="" />
      <created>1625965525796</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1625965525796</updated>
      <workItem from="1625965529884" duration="1440000" />
      <workItem from="1625967060732" duration="3402000" />
      <workItem from="1626005636156" duration="2791000" />
      <workItem from="1626008500336" duration="998000" />
      <workItem from="1626009582063" duration="5427000" />
    </task>
    <task id="LOCAL-00001" summary="SSM整合">
      <created>1625965622998</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1625965622998</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="SSM整合" />
    <option name="LAST_COMMIT_MESSAGE" value="SSM整合" />
  </component>
  <component name="WindowStateProjectService">
    <state x="458" y="260" key="#Inspections" timestamp="1626015157187">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="458" y="260" key="#Inspections/0.0.1728.1112@0.0.1728.1112" timestamp="1626015157187" />
    <state x="217" y="27" key="#Project_Structure" timestamp="1626007042030">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="217" y="27" key="#Project_Structure/0.0.1728.1112@0.0.1728.1112" timestamp="1626007042030" />
    <state x="590" y="415" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.packages" timestamp="1626012799265">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="590" y="415" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.packages/0.0.1728.1112@0.0.1728.1112" timestamp="1626012799265" />
    <state x="529" y="242" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1626012863736">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="529" y="242" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1728.1112@0.0.1728.1112" timestamp="1626012863736" />
    <state x="591" y="252" key="FileChooserDialogImpl" timestamp="1626005546047">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="591" y="252" key="FileChooserDialogImpl/0.0.1728.1112@0.0.1728.1112" timestamp="1626005546047" />
    <state width="1182" height="788" key="GridCell.Tab.0.bottom" timestamp="1626015328617">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state width="1182" height="788" key="GridCell.Tab.0.bottom/0.0.1728.1112@0.0.1728.1112" timestamp="1626015328617" />
    <state width="1182" height="788" key="GridCell.Tab.0.center" timestamp="1626015328616">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state width="1182" height="788" key="GridCell.Tab.0.center/0.0.1728.1112@0.0.1728.1112" timestamp="1626015328616" />
    <state width="1182" height="788" key="GridCell.Tab.0.left" timestamp="1626015328616">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state width="1182" height="788" key="GridCell.Tab.0.left/0.0.1728.1112@0.0.1728.1112" timestamp="1626015328616" />
    <state width="1182" height="788" key="GridCell.Tab.0.right" timestamp="1626015328616">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state width="1182" height="788" key="GridCell.Tab.0.right/0.0.1728.1112@0.0.1728.1112" timestamp="1626015328616" />
    <state x="342" y="227" key="IDE.errors.dialog" timestamp="1625967587870">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="342" y="227" key="IDE.errors.dialog/0.0.1728.1112@0.0.1728.1112" timestamp="1625967587870" />
    <state x="464" y="221" key="NewModule_or_Project.wizard" timestamp="1626005548085">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="464" y="221" key="NewModule_or_Project.wizard/0.0.1728.1112@0.0.1728.1112" timestamp="1626005548085" />
    <state x="241" y="54" key="SettingsEditor" timestamp="1626005739064">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="241" y="54" key="SettingsEditor/0.0.1728.1112@0.0.1728.1112" timestamp="1626005739064" />
    <state x="851" y="0" width="877" height="1112" key="new project wizard" timestamp="1625968853640">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="851" y="0" width="877" height="1112" key="new project wizard/0.0.1728.1112@0.0.1728.1112" timestamp="1625968853640" />
    <state x="551" y="270" key="refactoring.ChangeSignatureDialog" timestamp="1626013035796">
      <screen x="0" y="0" width="1728" height="1112" />
    </state>
    <state x="551" y="270" key="refactoring.ChangeSignatureDialog/0.0.1728.1112@0.0.1728.1112" timestamp="1626013035796" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/controller/src/main/java/com/bjsxt/controller/PageController.java</url>
          <line>16</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/controller/src/main/java/com/bjsxt/controller/PageController.java</url>
          <line>15</line>
          <properties class="com.bjsxt.controller.PageController" method="showPage">
            <option name="EMULATED" value="true" />
          </properties>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>